Bug 1012872 - Repository shutdown doesn't complete if unregistering from JNDI fails
Repository shutdown doesn't complete if unregistering from JNDI fails
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: ---
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 06:01 EDT by Horia Chiorean
Modified: 2016-02-10 03:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:55:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2058 Major Closed Repository shutdown doesn't complete if unregistering from JNDI fails 2014-02-18 07:46:25 EST

  None (edit)
Description Horia Chiorean 2013-09-27 06:01:30 EDT

    
Comment 1 JBoss JIRA Server 2013-09-27 10:43:12 EDT
Horia Chiorean <hchiorea@redhat.com> made a comment on jira MODE-2058

Fixed repository#shutdown so that when the JNDI context is read-only, the shutdown doesn't fail. Also, made Connectors & Query engine shutdown more fault-tolerant and refactored the Sequencers dependencies.
Comment 2 JBoss JIRA Server 2013-09-27 12:26:06 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2058

Rebased and merged into the 'master' branch. Leaving this issue open until the fix can be cherry-picked onto the '3.3.x-prod-ip6.0' branch.
Comment 8 JBoss JIRA Server 2013-10-24 05:19:00 EDT
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2058 to Closed
Comment 9 belong 2013-11-19 18:20:58 EST
Fixed before GA - setting to requires_doc_text- accordingly

Note You need to log in before you can comment on or make changes to this bug.